# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname ssh2
%define soname %{modname}.so
%define inifile A36_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	PHP bindings for the libssh2 library
Name:		php%{phplong}-%{modname}
Version:	1.4.1
Release:	%mkrel 3
Epoch:		1
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/ssh2
Source0:	https://pecl.php.net/get/ssh2-%{version}.tgz
BuildRequires:	mercurial
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libssh2) >= 1.2
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
Provides bindings to the libssh2 library which provide access to resources
(shell, remote exec, tunneling, file transfer) on a remote machine using a
secure cryptographic transport.

%prep

%autosetup -S hg -n %{modname}-%{version}
mv ../package*.xml .

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Sat Mar 15 2025 mokraemer <mokraemer> 1:1.4.1-3.mga10
+ Revision: 2164535
- include fixes from backports

* Fri Sep 13 2024 mokraemer <mokraemer> 1:1.4.1-2.mga10
+ Revision: 2095778
- rebuild for php 8.4 release

* Sat Feb 10 2024 mokraemer <mokraemer> 1:1.4.1-1.mga10
+ Revision: 2040157
- new version 1.4.1

* Sat Jan 20 2024 mokraemer <mokraemer> 1:1.4-6.mga10
+ Revision: 2032734
- rebuild for include path change

* Thu Jan 18 2024 mokraemer <mokraemer> 1:1.4-5.mga10
+ Revision: 2031961
- support multiple php-versions
- support multiple php-versions
- prepare multi-php

* Fri Sep 08 2023 mokraemer <mokraemer> 1:1.4-2.mga10
+ Revision: 1985191
- rebuild for php 8.3

* Fri Apr 21 2023 mokraemer <mokraemer> 1:1.4-1.mga9
+ Revision: 1953758
- remove old php8 patch
- new release  1.4

* Fri Nov 04 2022 mokraemer <mokraemer> 1:1.2-7.mga9
+ Revision: 1902354
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 1:1.2-6.mga9
+ Revision: 1879790
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 1:1.2-5.mga9
+ Revision: 1869976
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1:1.2-4.mga9
+ Revision: 1869845
- rebuild for php 8.2

* Sat Mar 19 2022 umeabot <umeabot> 1:1.2-3.mga9
+ Revision: 1800078
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 1:1.2-2.mga9
+ Revision: 1759381
- rebuild for php 8.1

* Wed Dec 30 2020 mokraemer <mokraemer> 1:1.2-1.mga9
+ Revision: 1665618
- patch for php8
- new version 1.2

* Thu Jun 18 2020 mokraemer <mokraemer> 1:1.1.3-0.20190204.4.mga8
+ Revision: 1596233
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 1:1.1.3-0.20190204.3.mga8
+ Revision: 1538995
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:1.1.3-0.20190204.2.mga8
+ Revision: 1463541
+ rebuild (emptylog)

* Mon Feb 04 2019 mokraemer <mokraemer> 1:1.1.3-0.20190204.1.mga7
+ Revision: 1363214
- git checkout of php-ssh2 with php 7.3 support

* Fri Feb 01 2019 daviddavid <daviddavid> 1:1.1.2-7.mga7
+ Revision: 1362185
- add two upstream patches to fix build with PHP 7.3
+ mokraemer <mokraemer>
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1:1.1.2-5.mga7
+ Revision: 1325838
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:1.1.2-4.mga7
+ Revision: 1300242
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:1.1.2-3.mga7
+ Revision: 1217397
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:1.1.2-2.mga7
+ Revision: 1181000
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:1.1.2-1.mga7
+ Revision: 1177213
- new version

* Fri Feb 12 2016 umeabot <umeabot> 1:0.12-10.mga6
+ Revision: 958441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.12-9.mga5
+ Revision: 741236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.12-8.mga5
+ Revision: 687548
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:0.12-7.mga5
+ Revision: 616587
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:0.12-6.mga4
+ Revision: 567670
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:0.12-5.mga4
+ Revision: 527860
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:0.12-4.mga4
+ Revision: 442696
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:0.12-3.mga3
+ Revision: 393321
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:0.12-2.mga3
+ Revision: 377589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 fwang <fwang> 1:0.12-1.mga3
+ Revision: 310047
- new version 0.12

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.11.3-2.mga2
+ Revision: 223935
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 1:0.11.3-1.mga2
+ Revision: 199848
- upgrade to 0.11.3

* Sat Jan 15 2011 spuhler <spuhler> 1:0.11.2-4.mga1
+ Revision: 19524
-BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
- imported package php-ssh2

